summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Bunton2019-01-29 12:37:20 +1100
committerJames Bunton2019-01-29 13:19:54 +1100
commitcbdf2ab0aa21b92ea3e65a3aad56d400181f9554 (patch)
tree4d70bd5a70689f73e0841bafb98a2d3c49f4a8b5
parent582c0323167f64b2f0dbf6d78266b6c5b5df42df (diff)
downloadaur-cbdf2ab0aa21b92ea3e65a3aad56d400181f9554.tar.gz
v5.12.3-3: sync from upstream package
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD10
2 files changed, 10 insertions, 10 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 903b11295cb..f6c8accb297 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
pkgbase = qt5-base-nostatx
pkgdesc = A cross-platform application and UI framework
pkgver = 5.12.0
- pkgrel = 2
- url = http://qt-project.org/
+ pkgrel = 3
+ url = https://www.qt.io
arch = x86_64
groups = qt
groups = qt5
@@ -11,7 +11,7 @@ pkgbase = qt5-base-nostatx
license = FDL
license = custom
makedepends = libfbclient
- makedepends = libmariadbclient
+ makedepends = mariadb-libs
makedepends = sqlite
makedepends = unixodbc
makedepends = postgresql-libs
@@ -43,13 +43,13 @@ pkgbase = qt5-base-nostatx
depends = double-conversion
optdepends = qt5-svg: to use SVG icon themes
optdepends = postgresql-libs: PostgreSQL driver
- optdepends = libmariadbclient: MariaDB driver
+ optdepends = mariadb-libs: MariaDB driver
optdepends = unixodbc: ODBC driver
optdepends = libfbclient: Firebird/iBase driver
optdepends = freetds: MS SQL driver
optdepends = gtk3: GTK platform plugin
conflicts = qtchooser
- source = http://download.qt.io/official_releases/qt/5.12/5.12.0/submodules/qtbase-everywhere-src-5.12.0.tar.xz
+ source = https://download.qt.io/official_releases/qt/5.12/5.12.0/submodules/qtbase-everywhere-src-5.12.0.tar.xz
source = qtbug-72844.patch::https://code.qt.io/cgit/qt/qtbase.git/patch/?id=52e0d9e2
sha256sums = 5e03221d780e121aabd734896aab8f331e5d8c9d9b54f1eb04907d0818eaeecb
sha256sums = afdea0787e1d8d4c2e7139770761aba4fe8268f50b7f5d715bdd850cc7017996
diff --git a/PKGBUILD b/PKGBUILD
index a6affb09e56..573c80aa4ff 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -16,19 +16,19 @@ _pkgbase=qt5-base
pkgname=(qt5-base-nostatx qt5-xcb-private-headers-nostatx)
_qtver=5.12.0
pkgver=${_qtver/-/}
-pkgrel=2
+pkgrel=3
arch=('x86_64')
-url='http://qt-project.org/'
+url='https://www.qt.io'
license=('GPL3' 'LGPL3' 'FDL' 'custom')
pkgdesc='A cross-platform application and UI framework'
depends=('libjpeg-turbo' 'xcb-util-keysyms' 'xcb-util-renderutil' 'libgl' 'fontconfig' 'xdg-utils'
'shared-mime-info' 'xcb-util-wm' 'libxrender' 'libxi' 'sqlite' 'xcb-util-image' 'mesa'
'tslib' 'libinput' 'libxkbcommon-x11' 'libproxy' 'libcups' 'double-conversion')
-makedepends=('libfbclient' 'libmariadbclient' 'sqlite' 'unixodbc' 'postgresql-libs' 'alsa-lib' 'gst-plugins-base-libs'
+makedepends=('libfbclient' 'mariadb-libs' 'sqlite' 'unixodbc' 'postgresql-libs' 'alsa-lib' 'gst-plugins-base-libs'
'gtk3' 'libpulse' 'cups' 'freetds' 'vulkan-headers')
optdepends=('qt5-svg: to use SVG icon themes'
'postgresql-libs: PostgreSQL driver'
- 'libmariadbclient: MariaDB driver'
+ 'mariadb-libs: MariaDB driver'
'unixodbc: ODBC driver'
'libfbclient: Firebird/iBase driver'
'freetds: MS SQL driver'
@@ -36,7 +36,7 @@ optdepends=('qt5-svg: to use SVG icon themes'
conflicts=('qtchooser')
groups=('qt' 'qt5')
_pkgfqn="${_pkgbase/5-/}-everywhere-src-${_qtver}"
-source=("http://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfqn}.tar.xz"
+source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfqn}.tar.xz"
qtbug-72844.patch::"https://code.qt.io/cgit/qt/qtbase.git/patch/?id=52e0d9e2")
sha256sums=('5e03221d780e121aabd734896aab8f331e5d8c9d9b54f1eb04907d0818eaeecb'
'afdea0787e1d8d4c2e7139770761aba4fe8268f50b7f5d715bdd850cc7017996')